<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@android:color/background_light</item>
        <item name="colorPrimaryDark">@android:color/darker_gray</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="actionMenuTextColor">@color/blueButton</item>
    </style>

    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="yellowButton" parent="baseButton">
        <item name="colorControlHighlight">@color/yellow</item>
        <item name="colorButtonNormal">@color/yellow</item>
    </style>

    <style name="toolbarBackArrow">
        <item name="theme">@style/ThemeOverlay.AppCompat.Dark</item>
        <item name="navigationIcon">@drawable/back</item>
    </style>

    <style name="toolbarSalir">
        <item name="theme">@style/ThemeOverlay.AppCompat.Light</item>
        <item name="android:textColor">@color/blueButton</item>
    </style>

    <style name="baseButton" parent="Theme.AppCompat.Light">
        <item name="android:textColor">@color/blueButton</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:textSize">12dp</item>

    </style>

    <style name="baseText" parent="Theme.AppCompat.Light">
        <item name="android:textColor">@color/grayText</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:maxLength">600</item>
        <item name="android:textSize">14dp</item>
    </style>

    <style name="baseHintEdt" parent="TextAppearance.AppCompat.Small">
        <item name="android:textColor">@color/grayText</item>
        <item name="android:textSize">12dp</item>
        <item name="android:maxLength">600</item>
    </style>

    <style name="baseEdt" parent="Theme.AppCompat.Light">
        <item name="colorControlNormal">@color/black</item>
        <item name="android:textColor">@color/black</item>
        <item name="colorControlActivated">@color/black</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:textSize">14dp</item>
        <item name="android:maxLength">600</item>
        <item name="android:maxLines">80</item>
        <item name="android:inputType">textMultiLine</item>
        <item name="android:lines">80</item>
        <item name="android:scrollbars">vertical</item>
    </style>

    <style name="SpinnerTheme" parent="android:Widget.Spinner">
        <item name="android:background">@drawable/bg_spinner</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">12dp</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:maxLength">600</item>
        <item name="android:drawablePadding">@dimen/_8sdp</item>
    </style>

    <style name="SpinnerThemeDate" parent="android:Widget.Spinner">
        <item name="android:background">@drawable/bg_spinner_date</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">12dp</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:drawablePadding">@dimen/_8sdp</item>
    </style>

    <style name="SpinnerThemeHour" parent="android:Widget.Spinner">
        <item name="android:background">@drawable/bg_spinner_hour</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">12dp</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:drawablePadding">@dimen/_8sdp</item>
    </style>

    <style name="SpinnerThemeNivel" parent="android:Widget.Spinner">
        <item name="android:background">@drawable/bg_spinner_nivel</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">12dp</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:drawablePadding">@dimen/_8sdp</item>
    </style>

    <style name="SearchViewThemeText" parent="Widget.AppCompat.AutoCompleteTextView">
        <item name="android:textColor">@color/blueButton</item>
        <item name="android:textColorHint">@color/blueButton</item>
    </style>

    <style name="ToolbarTextAppearance">
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:textColor">@color/blueButton</item>
    </style>

    <style name="ToolbarTextAppearance.Title">
        <item name="android:textSize">16dp</item>
    </style>

    <style name="ToolbarTextAppearance.Subtitle">
        <item name="android:textSize">14dp</item>
    </style>

    <style name="MyToolbar">
        <item name="theme">@style/ThemeOverlay.AppCompat.Dark</item>
        <item name="android:background">?colorPrimary</item>
    </style>

    <style name="RadioButton" parent="Theme.AppCompat.Light">
        <item name="colorControlNormal">@color/blueButton</item>
        <item name="colorControlActivated">@color/blueButton</item>
    </style>

    <!--ARL Movilidad-->
    <style name="SpinnerIdCardThemeMovilidad" parent="android:Widget.Spinner">
        <item name="android:background">@drawable/bg_spinner_movilidad</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">12dp</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:maxLength">600</item>
        <item name="android:drawablePadding">@dimen/_8sdp</item>
        <item name="android:hint">Tipo de documento de identidad</item>
    </style>

    <style name="SpinnerBuildThemeMovilidad" parent="android:Widget.Spinner">
        <item name="android:background">@drawable/bg_spinner_enterprice</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">12dp</item>
        <item name="android:fontFamily">@font/roboto</item>
        <item name="android:maxLength">600</item>
        <item name="android:drawablePadding">@dimen/_8sdp</item>
    </style>

    <style name="SpinnerThemeDateMovilidad" parent="android:Widget.Spinner">
        <item name="android:background">@drawable/bg_date_movilidad</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">@dimen/_15sdp</item>
        <item name="android:drawablePadding">@dimen/_8sdp</item>
    </style>


    <!--Text Input Custom Style-->

    <style name="HintText" parent="TextAppearance.Design.Hint">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/borderColor</item>
    </style>

    <style name="ErrorText" parent="TextAppearance.Design.Error">
        <item name="android:textSize">16sp</item>
    </style>

    <style name="RadioButtonCustomStyle" parent="Widget.AppCompat.CompoundButton.RadioButton">
        <item name="colorAccent">@color/activeRadioColor</item>
        <item name="android:textColorPrimaryDisableOnly">@color/disabled_color</item>
        <item name="android:textAppearance">@style/TextAppearance.AppCompat</item>
        <item name="android:textColor">@color/textColor</item>
    </style>


    <!-- Estilo de TabLayout -->
    <style name="AppTabLayout" parent="Widget.Design.TabLayout">
        <item name="tabIndicatorHeight">@dimen/_4sdp</item>
        <item name="tabIndicatorColor">@color/tablayoutbar</item>

    </style>

    <style name="BlueBoldTextMedium" parent="TextAppearance.AppCompat.Title">
        <item name="android:textColor">@color/dark_blue</item>
        <item name="fontPath">fonts/FS_Joey-Bold.otf</item>
    </style>

    <style name="GrayRegularTextSmall" parent="TextAppearance.AppCompat.Subhead">
        <item name="android:textColor">@color/dark_blue</item>
        <item name="fontPath">fonts/FS_Joey.otf</item>
    </style>

</resources>
